List partners
curl --request GET \
--url https://api.panoqore.example/v1/partners \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.panoqore.example/v1/partners', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.panoqore.example/v1/partners"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.panoqore.example/v1/partners"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"partners": [
{
"partner": "<string>",
"name": "<string>",
"currencies": [
"<string>"
],
"mode": "LEDGER_ONLY",
"historyAccess": "NONE",
"hasCredential": true,
"credentialRotatedAt": "2023-11-07T05:31:56Z",
"pendingApprovalId": "<string>",
"capabilities": [
{
"id": "<string>",
"title": "<string>",
"who": "<string>",
"phase": "<string>"
}
],
"lastWebhookAt": "2023-11-07T05:31:56Z",
"lastStatementAt": "2023-11-07T05:31:56Z",
"health": "<string>",
"updatedBy": {
"kind": "PERSON",
"id": "<string>",
"displayName": "<string>"
},
"updatedAt": "2023-11-07T05:31:56Z",
"credentialFields": [
"<string>"
],
"connectedAs": "<string>",
"lastPolledAt": "2023-11-07T05:31:56Z",
"lastAnsweredAt": "2023-11-07T05:31:56Z",
"failingSince": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}Tenant
List partners
Scope: any one of read, entries:write.
GET
/
v1
/
partners
List partners
curl --request GET \
--url https://api.panoqore.example/v1/partners \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.panoqore.example/v1/partners', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.panoqore.example/v1/partners"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.panoqore.example/v1/partners"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"partners": [
{
"partner": "<string>",
"name": "<string>",
"currencies": [
"<string>"
],
"mode": "LEDGER_ONLY",
"historyAccess": "NONE",
"hasCredential": true,
"credentialRotatedAt": "2023-11-07T05:31:56Z",
"pendingApprovalId": "<string>",
"capabilities": [
{
"id": "<string>",
"title": "<string>",
"who": "<string>",
"phase": "<string>"
}
],
"lastWebhookAt": "2023-11-07T05:31:56Z",
"lastStatementAt": "2023-11-07T05:31:56Z",
"health": "<string>",
"updatedBy": {
"kind": "PERSON",
"id": "<string>",
"displayName": "<string>"
},
"updatedAt": "2023-11-07T05:31:56Z",
"credentialFields": [
"<string>"
],
"connectedAs": "<string>",
"lastPolledAt": "2023-11-07T05:31:56Z",
"lastAnsweredAt": "2023-11-07T05:31:56Z",
"failingSince": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}